#ifdef GL_ES
precision mediump float;
#endif
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform vec2  u_screen;
uniform float u_time;
uniform float u_Vw;
uniform float u_Vh;
void main()
{
	vec2 iResolution = u_screen;//分辨率
	vec2 uv = -gl_FragCoord.xy / iResolution.xy;//流动方向
    uv.x *= iResolution.x / iResolution.y;

    vec4 retCol = texture2D(CC_Texture0, v_texCoord);
    vec2 center = vec2(fract(u_time/8.));//速度fract(CC_Time[1]*.3)*4.
    uv = uv + center;

    float a = 1.0;//y轴比例
    float b = 1.0;//x轴比例
    float c = 0.;// 偏移量

    float w = 0.07;//第一条条纹宽度
    float ap = abs(a*uv.x + b*uv.y + c);
    float ran = 1. - smoothstep(w-.004,w+.004,ap);
    retCol = retCol*(1.-ran) + retCol*vec4(2.)*ran*retCol.a;

    w = 0.02;//第二条条纹宽度
    uv += 0.1;//两条条纹间距
    ap = abs(a*uv.x + b*uv.y + c);
    ran = 1. - smoothstep(w-.004,w+.004,ap);
    retCol = retCol*(1.-ran) + retCol*vec4(2.)*ran*retCol.a;

    w = 0.05;//第三条条纹宽度
    uv += 0.3;//两条条纹间距
    ap = abs(a*uv.x + b*uv.y + c);
    ran = 1. - smoothstep(w-.004,w+.004,ap);
    retCol = retCol*(1.-ran) + retCol*vec4(2.)*ran*retCol.a;

	gl_FragColor = retCol;
}