#ifdef GL_ES 
precision mediump float; 
#endif 
varying vec4 v_fragmentColor; 
varying vec2 v_texCoord; 
uniform float u_time;                                                                             
void main(void) 
{ 
    float y = v_texCoord.y-.1+.02*sin(u_time+v_texCoord.x*3.1415*4.0);
    if(y<0.0){
        gl_FragColor = vec4(0.0,0.0,0.0,0.0);
    }
    else{
        gl_FragColor = texture2D(CC_Texture0, vec2(v_texCoord.x, y));
    }
}